# Built-in GutenBricks Dynamic Data

<table><thead><tr><th width="296.1015625">Data Key</th><th>What For</th></tr></thead><tbody><tr><td>{gb_block_id}</td><td>Unqiue ID for block.</td></tr><tr><td>{gb_element_id}</td><td>The element ID. Note: Sometimes element ID can be empty. </td></tr><tr><td>{gb_query_index}</td><td>(since 1.1.20) index of the query item. Important: This does not work in Dynamic Class.</td></tr><tr><td>{gb_event_block_load}</td><td>JavaScript Event when Block is loaded in Gutenberg editor. See<a data-mention href="/pages/YNiUrptRa6Z3kfjFm567">/pages/YNiUrptRa6Z3kfjFm567</a></td></tr><tr><td>{gb_event_block_remove}</td><td>JavaScript Event when Block is removed in Gutenberg editor. See<a data-mention href="/pages/YNiUrptRa6Z3kfjFm567">/pages/YNiUrptRa6Z3kfjFm567</a></td></tr><tr><td>{gb_event_block_prerender}</td><td>JavaScript Event when Block is pre-rendered in Gutenberg editor. See<a data-mention href="/pages/YNiUrptRa6Z3kfjFm567">/pages/YNiUrptRa6Z3kfjFm567</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gutenbricks.com/dynamic-data/built-in-gutenbricks-dynamic-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
